
QGIS Application - Bug report #19524

[macOS] Map canvas with wrong size on QGIS 3.2.1 start up

2018-08-01 04:12 PM - Ugo Santana

Status: Closed

Priority: High

Assignee:

Category: mac_os_specific

Affected QGIS version:3.2.3 Regression?: Yes

Operating System: macOS 10.13.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27351

Description

Hi there,

Each time I start QGIS 3.2.1 the map canvas appear with a smaller size, but when I change the size of the layer panel, the map canvas

resizes to the correct size. This doens't occur on the last version (3.2.0).

I'm uploading 3 images. One with the startup interface, one with the project already open, and one after I change the size of the layer

panel.

Related issues:

Related to QGIS Application - Bug report # 19778: macOS: QGIS 3.2.2 canvas do... Open 2018-09-06

Duplicated by QGIS Application - Bug report # 19545: Small canvas by default Closed 2018-08-04

Duplicated by QGIS Application - Bug report # 20129: Map window smaller than ... Closed 2018-10-17

History

#1 - 2018-08-01 04:13 PM - Giovanni Manghi

- Priority changed from High to Normal

#2 - 2018-08-03 03:20 AM - Rhenriques Henriques

Same here. Funny bug and very annoying....

#3 - 2018-08-04 05:04 AM - Nathan Perry

Can confirm, exactly the same behavior. QGIS 3.2.1 on Mac OS 10.13.6.

#4 - 2018-08-05 05:49 PM - Rhenriques Henriques

Giovanni, in my opinion this is a High Priority and a regression.  How could this not be noticed? You only need to open QGIS to notice and we have to

tweak the interface by opening messages or the processing panels and resize to get a usable canvas size.

#5 - 2018-08-05 05:52 PM - Giovanni Manghi

Rhenriques Henriques wrote:

How could this not be noticed?
if it affects ony macOS I don't think there are any top dev that works on this platform. I had a macbook for testing for 1.5 years, but I don't have it anymore

(terrible OS by the way).

#6 - 2018-08-05 05:59 PM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from Map canvas with wrong size on QGIS 3.2.1 start up on Mac to [macOS] Map canvas with wrong size on QGIS 3.2.1 start up

- Regression? changed from No to Yes

#7 - 2018-08-06 08:00 PM - jb Peter

- File Screen Shot 2018-08-06 at 5.29.34 PM.png added

I have a similar issue when opening a layout. There is a lot of space between the ruler on the left and the toolbar. It gets back to normal when resizing the

palettes on the right.

#8 - 2018-08-07 03:27 PM - landry Landry Breuil

It doesnt affect only osx, i see the same bug on OpenBSD with qt 5.9. Something wrong in the way QT:QGIS layouts thing, using a linux-only codepath ?

#9 - 2018-08-07 03:31 PM - landry Landry Breuil

- File qgis321composer.png added

- File qgis321.png added

See matching screenshots

#10 - 2018-08-07 09:53 PM - Willem Buitendyk

Giovanni Manghi wrote:

Rhenriques Henriques wrote:

How could this not be noticed?

if it affects ony macOS I don't think there are any top dev that works on this platform. I had a macbook for testing for 1.5 years, but I don't have it

anymore (terrible OS by the way).

That's not what I see on the west coast of North America.  One of the main reasons people choose QGIS over ESRI is the Mac integration.  I use

Windows, Linux and Mac every day in our office.  I would definitely say Mac OS is far superior to the other two.  Perhaps when you comment that it is a

terrible OS by the way' you mean specifically for QT development or QGIS development?  If QGIS is going to support all platforms then there shouldn't be

any favourite OS.

I for one would love to contribute financially to Mac development.  Perhaps we need to rally the Mac users to fork up some funds.

#11 - 2018-08-09 03:05 AM - Rhenriques Henriques

Giovanni, as usual, thousands of people will agree with your "terrible" assertion about MacOS and thousands will disagree. I guess that would be the same
about a car or a piece of cloth or a painting. Actual OS's have their virtues and fragilities. I've been using them all among the years and still use several on a

daily basis (Used Windows since 3.1, Earlier MacOS versions, AmigaOS (so great), BeOS, NextStep, Linuxes (almost them all)). I've been in computing

since the ZX Spectrum I guess. By my own experience, if you want to get work done, without worrying on a virus or an antivirus consuming your processing

power or stability issues (windows), if you do not want to be building up your system or changing always pieces or build them from grown-up (Linuxes) and

just want to get the work done, no matter you are working in Science, Computing, development, 3D, design, whatever, you do not have nothing better than

MacOS. It has it's issues, like any other OS but with all quirks summed up, you possible have the best OS available. As you might imagine, there's not any

argument to say that it's a terrible OS beyond your own opinion or a particular issue with a particular tool. In a virtual machine world, this is not even a

discussion nowadays. Windows 10 or linux runs in my Mac machines as well as it runs in most real PC's. I'm using several eGPUs (Nvidea 1080 GTX Ti -

11 TeraFlops each) to particular need's in processing demand, like photogrammetry, and you would be stared how MacOS can handle that kind of RAW

power. In windows 10 it's a pain to get more than 1 eGPU working and in Linux you do not even have drives for it. As I use to say, the best OS is the one

you are used to. 

I respect your opinion and feeling about MacOS but for now my concern is to have this outstanding piece of work (QGIS) working flawlessly in MacOS.

From what I see, this bug it's also a Linux version bug as well. As Willem suggest, maybe it's a good idea to rally the MacUsers to fork up some funds. 

;-)

#12 - 2018-08-09 10:19 AM - Jürgen Fischer

We lack qgis developers on mac.  So I'm not sure who you want to throw money at.  Apparently macOS is not the platform of choice for QGIS developers -

so you funds probably not only will have to cover for the developer's time, but also hardware, OS, knowledge acquisition and if that person doesn't get

hooked on macOS, probably also for hardware/OS/devtools updates (no idea how close that's tied together on macOS), if you don't want it to be a one

time thing.  We occasionally had devs on mac, but not many and not long.   I also had a mac book for a while - but only to build packages and returned it

after the work was done.   I didn't get hooked ;)  Although I still think of buying a mini mac now and then - esp. when I read stuff like this.  But as I'd probably

only use it to build QGIS once in a while, the machine/OS/devtools/knowhow will probably be outdated before I know it - so I still didn't get one.

But if this also occurs on Linux, the fix will probably also cure it on macOS.

#13 - 2018-08-09 01:04 PM - Andreas Oxenstierna

I experience exactly the same canvas issues with QGIS 3.2.1 and macOS 10.13.6

If helpful, I can volunteer as alpha/beta tester on latest macOS.

As superuser, I fully agree with Willlem and Rhenriques. So it is important for QGIS to support macOS.

#14 - 2018-08-09 02:40 PM - Giovanni Manghi

Andreas Oxenstierna wrote:

So it is important for QGIS to support macOS.

No one ever said the contrary.

#15 - 2018-08-09 02:44 PM - Giovanni Manghi

Rhenriques Henriques wrote:

here's not any argument to say that it's a terrible OS beyond your own opinion

and that was exactly that: my opinion, nothing more. And is my opinion also that everything you say it best done on Apple can be done also on Linux (and in
many cases in a much more efficient way) maintaining my freedom and with no need to feed the wallet of a very sketchy company. I will comment no more

here on this matter as of course is not the proper place.

#16 - 2018-08-10 01:57 AM - Nyall Dawson

Let's avoid the rhetoric here - it's not QGIS' role to dictate operating system choices -- rather it's our (as in - developers and user community alike!)

responsibility to deliver a QGIS application which works well on all platforms.

Willem etc - Please get in touch with OpenGIS (http://www.opengis.ch/) and let them know of your interest in financially contributing to an improved OSX

application. Denis from OpenGIS is a core QGIS developer who is both an OSX user and experienced with OSX development (and Qt quirks on OSX!).

#17 - 2018-08-10 09:34 AM - Marco Bernasocchi

Thanks, Nyall, spot on as usual. Willem, please go ahead and try to organize some macLOVE founding, we'll look that Denis gets to find time to wisely

invest that.

Cheers marco from opengis.ch

#18 - 2018-08-10 12:23 PM - Denis Rouzaud

To get back on the issue...

How did you install QGIS? Homebrew, kingchaos, self compiled?

Can you post a screenshot of the about QGIS (showing the version of the different libs)?

#19 - 2018-08-10 12:43 PM - Ugo Santana

- File about.png added

Denis Rouzaud wrote:

To get back on the issue...

How did you install QGIS? Homebrew, kingchaos, self compiled?

Can you post a screenshot of the about QGIS (showing the version of the different libs)?

Hi there, my installation was through the official dmg package of the QGIS site. The screenshot is attached. Hope it helps!

#20 - 2018-08-11 09:11 PM - Nathan Perry

Ugo Santana wrote:

Denis Rouzaud wrote:

To get back on the issue...

How did you install QGIS? Homebrew, kingchaos, self compiled?

Can you post a screenshot of the about QGIS (showing the version of the different libs)?

Hi there, my installation was through the official dmg package of the QGIS site. The screenshot is attached. Hope it helps!
Identical conditions here: installed using the KyngChaos installer as now available on the QGIS site. My screenshots, were I to upload any, would look

identical to those already posted.

#21 - 2018-08-13 09:11 AM - Jürgen Fischer

- Duplicated by Bug report #19545: Small canvas by default added

#22 - 2018-08-16 05:23 AM - Garth Fletcher

I am incorporating some of my comments which were lost when 19545 was closed as a duplicate.  I hope they may provide some hints to those fixing the

problem.

The small map canvas issue is seen here on Mac OS X 10.12.6 (Sierra); QGIS installed from QGIS-macOS-3.2.1-1.dmg downloaded ~ Aug 4.

The undersized map canvas appears to be the same size as the Project Window area used at startup to show recent projects.

Project Window created via Project > New is similarly limited.

When the small map canvas is present, changing the project window dimensions (by dragging to lower right corner) only causes the small map canvas in

its center to scale and pan to maintain its (small) proportion.  This is the same behavior as seen with the Recent Projects display seen at startup.

Opening (View > Panels > ...) small Panels will simply draw into the unused space next to the map canvas and not trigger a map canvas resizing.

The map canvas can be restored to normal size by opening a Panel which will

 a) draw into the project window, AND

 b) is large enough, or whose size can be adjusted, to overlap the map canvas and thereby trigger the map canvas resizing.

Once the map canvas has gotten scaled to full size it remains OK until QGIS is quit and restarted.

#23 - 2018-08-20 04:41 PM - jb Peter

- File Screen Shot 2018-08-20 at 16.34.39.png added

Exactly the same issues here with the same config described above. In addition, "Zoom full" in the layout view does not work properly. The screenshot is

taken just after using this function. The page is not adjusted in the center of the screen.

#24 - 2018-08-27 07:32 PM - Ugo Santana

3.2.2 is out, but the bug is still here

#25 - 2018-08-28 12:41 PM - Niels  de Vos

Garth Fletcher wrote:

I am incorporating some of my comments which were lost when 19545 was closed as a duplicate.  I hope they may provide some hints to those

fixing the problem.

The small map canvas issue is seen here on Mac OS X 10.12.6 (Sierra); QGIS installed from QGIS-macOS-3.2.1-1.dmg downloaded ~ Aug 4.

The undersized map canvas appears to be the same size as the Project Window area used at startup to show recent projects.
Project Window created via Project > New is similarly limited.

When the small map canvas is present, changing the project window dimensions (by dragging to lower right corner) only causes the small map

canvas in its center to scale and pan to maintain its (small) proportion.  This is the same behavior as seen with the Recent Projects display seen at

startup.

Opening (View > Panels > ...) small Panels will simply draw into the unused space next to the map canvas and not trigger a map canvas resizing.

The map canvas can be restored to normal size by opening a Panel which will

a) draw into the project window, AND

b) is large enough, or whose size can be adjusted, to overlap the map canvas and thereby trigger the map canvas resizing.

Once the map canvas has gotten scaled to full size it remains OK until QGIS is quit and restarted.

This is a working workaround while the bug is still around. I just added a random panel, and then closed it again. Then the canvas jumped back to the

whole screen.

#26 - 2018-09-03 02:17 PM - Leon van der Meulen

Same problem here with fresh install of 3.2 from the qgis.org website on mac os 10.12.6.

Workaround works indeed after resizing one of the other panels

#27 - 2018-09-04 05:38 PM - Ades Six

Same here, Qgis 3.2.1 and 3.2.2 OSX 10.11.6 ; and, also,  more crashes with xyz layers than withs Qgis 3.0 or 2.x

#28 - 2018-09-05 06:44 PM - Denis Rouzaud

- Category changed from GUI to mac_os_specific

#29 - 2018-09-21 08:56 AM - Ades Six

QGis 3.2.3 installed this morning, same issue ;-((

#30 - 2018-10-04 04:37 PM - Luigi Pirelli

- Affected QGIS version changed from 3.2.1 to 3.2.3

#31 - 2018-10-04 04:38 PM - Luigi Pirelli

if necessary more info, confirmed on 3.2.3 on srtartup

#32 - 2018-10-08 09:18 PM - Konrad Lawson

Same problem here. Also, in university course teaching QGIS, the 80% of our students who are using Macs are all experiencing this problem. The

remaining students using Windows don't have the issue. Distracting in a teaching context to take time to teach the work around for large majority of

students. I donated to the OS X bug fix campaign - hoping this will get addressed there.
#33 - 2018-10-08 10:29 PM - Konrad Lawson

I've added a quick screencast showing Garth's workaround for this problem on 3.2.x and OSX High Sierra. The video is here: 

https://youtu.be/otkQHZR1aZM

#34 - 2018-10-09 08:49 PM - Denis Rouzaud

Konrad, can you tell me how you installed QGIS (homebrew?)

#35 - 2018-10-09 09:11 PM - Ades Six

3.2.3. , installed with the installer from qgis.org…

#36 - 2018-10-10 12:56 AM - Konrad Lawson

Denis Rouzaud wrote:

Konrad, can you tell me how you installed QGIS (homebrew?)

Hi Denis, myself (on two machines that have this problem) and all my students using macs installed QGIS from the QGIS homepage download package.

Not through homebrew. Python 3.6.5 on most of them (other 3.6.x for some).

Best,

Konrad

#37 - 2018-10-10 03:32 PM - Giovanni Manghi

- Related to Bug report #19778: macOS: QGIS 3.2.2 canvas do not scale when resizing program window added

#38 - 2018-10-19 07:55 PM - Denis Rouzaud

This issue should be fixed in next release with Qt updated (it happened with Qt 5.9).

#39 - 2018-10-22 10:15 AM - Jürgen Fischer

- Duplicated by Bug report #20129: Map window smaller than application window added

#40 - 2018-10-22 08:24 PM - Jason Ferrier

Denis Rouzaud wrote:

This issue should be fixed in next release with Qt updated (it happened with Qt 5.9).

Is this on the roadmap for a specific QGIS release?

#41 - 2018-10-24 01:57 PM - Denis Rouzaud
- Resolution set to fixed/implemented

- Status changed from Open to Feedback

Yes.

Already fixed if installed via Homebrew.

Will bbe finxed in standalone package for 3.4

#42 - 2018-10-30 06:25 PM - Ugo Santana

Denis Rouzaud wrote:

Yes.

Already fixed if installed via Homebrew.

Will bbe finxed in standalone package for 3.4

3.4 installed and it is corrected! Thanks Denis!

#43 - 2018-10-31 12:00 AM - Konrad Lawson

Same here - No longer have this problem with QGIS 3.4. Many thanks!

#44 - 2018-10-31 02:49 AM - Nyall Dawson

- Status changed from Feedback to Closed
